List domains
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.mailchannels.net/inbound/v1/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.mailchannels.net/inbound/v1/domains"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailchannels.net/inbound/v1/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://api.mailchannels.net/inbound/v1/domains \
--header 'X-API-Key: <api-key>'{
"domains": [
{
"domain": "<string>",
"subscriptionHandle": "<string>",
"admins": [
"<string>"
],
"downstreamAddresses": [
{
"priority": 1,
"weight": 1,
"port": 1,
"target": "<string>"
}
],
"aliases": [
"<string>"
],
"settings": {
"abusePolicy": "block",
"abusePolicyOverride": true,
"spamHeaderName": "<string>",
"spamHeaderValue": "<string>"
}
}
],
"total": 123
}{
"errors": [
"<string>"
],
"code": 123,
"message": "<string>"
}{
"errors": [
"<string>"
],
"code": 123,
"message": "<string>"
}List domains
Fetch a list of all domains associated with this API key.
GET
/
domains
List domains
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.mailchannels.net/inbound/v1/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.mailchannels.net/inbound/v1/domains"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailchannels.net/inbound/v1/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://api.mailchannels.net/inbound/v1/domains \
--header 'X-API-Key: <api-key>'{
"domains": [
{
"domain": "<string>",
"subscriptionHandle": "<string>",
"admins": [
"<string>"
],
"downstreamAddresses": [
{
"priority": 1,
"weight": 1,
"port": 1,
"target": "<string>"
}
],
"aliases": [
"<string>"
],
"settings": {
"abusePolicy": "block",
"abusePolicyOverride": true,
"spamHeaderName": "<string>",
"spamHeaderValue": "<string>"
}
}
],
"total": 123
}{
"errors": [
"<string>"
],
"code": 123,
"message": "<string>"
}{
"errors": [
"<string>"
],
"code": 123,
"message": "<string>"
}Query Parameters
Response
Successfully found the domain
The total number of domains that are accessible with the given API key that match the list of domains in the 'domains' parameter. If there is no 'domains' parameter, this field is the total number of domains that are accessible with with this API key. A domain is accessible with a given API key if it is associated with that API key, or if it is not associated with any API key.
Was this page helpful?

